<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".promooffer.PromoOfferDetailsActivity"
    tools:showIn="@layout/activity_promo_offer_details">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/custom_margin">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/custom_margin3dp"
            app:cardCornerRadius="@dimen/custom_margin"
            app:cardBackgroundColor="@color/white"
            android:layout_margin="@dimen/custom_margin">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/txt_size_14sp"
                    android:padding="@dimen/custom_margin"
                    android:textStyle="normal"
                    android:textColor="@color/black"
                    android:text="@string/promo_txt"
                    android:layout_margin="@dimen/custom_margin"/>

                <ImageView xmlns:android="http://schemas.android.com/apk/res/android"
                    android:id="@+id/image"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:scaleType="fitXY"
                    android:layout_gravity="center"
                    android:src="@mipmap/ref_counter_img"
                    android:layout_margin="@dimen/custom_margin"/>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/custom_margin3dp"
            app:cardCornerRadius="@dimen/custom_margin"
            app:cardBackgroundColor="@color/white"
            android:layout_margin="@dimen/custom_margin">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="5"
                        android:padding="@dimen/custom_margin"
                        android:text="Promotion Start Date : "
                        android:textColor="@color/green"
                        android:textSize="@dimen/txt_size_14sp"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"/>

                    <TextView
                        android:id="@+id/promostart_txt"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="5"
                        android:padding="@dimen/custom_margin"
                        android:text="05/12/2019"
                        android:textColor="@color/green"
                        android:textSize="@dimen/text_14sp"
                        android:layout_gravity="center"
                        android:gravity="center"/>

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/custom_margin2dp"
                    android:background="@color/gray"
                    android:layout_margin="@dimen/custom_margin"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/custom_margin"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="5"
                        android:padding="@dimen/custom_margin"
                        android:text="Promotion End Date : "
                        android:textColor="@color/red"
                        android:textSize="@dimen/txt_size_14sp"
                        android:layout_gravity="center_vertical"
                        android:gravity="center_vertical"/>

                    <TextView
                        android:id="@+id/promoend_txt"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="5"
                        android:padding="@dimen/custom_margin"
                        android:text="05/12/2019"
                        android:textColor="@color/red"
                        android:textSize="@dimen/text_14sp"
                        android:layout_gravity="center"
                        android:gravity="center"/>

                </LinearLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/custom_margin3dp"
            app:cardCornerRadius="@dimen/custom_margin"
            app:cardBackgroundColor="@color/white"
            android:layout_margin="@dimen/custom_margin">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/custom_margin"
                    android:text="Promotion Description : "
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:layout_gravity="center_vertical"
                    android:gravity="center_vertical"/>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/custom_margin2dp"
                    android:background="@color/gray"
                    android:layout_margin="@dimen/custom_margin"/>


                <TextView
                    android:id="@+id/promo_description"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/store_p_activity_vertical_margin"
                    android:text="Promotion Description : "
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_14sp"
                    android:layout_gravity="center_vertical"
                    android:gravity="center_vertical"/>

            </LinearLayout>
        </androidx.cardview.widget.CardView>
        </LinearLayout>
    </ScrollView>



</LinearLayout>
